package com.ekexiu.console.system.dao;

import com.ekexiu.console.system.po.ArticleOrg;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.From;
import org.jfw.apt.orm.annotation.dao.method.operator.DeleteWith;
import org.jfw.apt.orm.annotation.dao.method.operator.Insert;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectList;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

/**
 * Created by TT on 2017/9/13.
 */
@DAO
public interface ArticleOrgDao {

    @Insert
    int insert(Connection con, ArticleOrg org) throws SQLException;

    @SelectList
    List<ArticleOrg> query(Connection con, String articleId) throws SQLException;

    @DeleteWith
    @From(ArticleOrg.class)
    int delete(Connection con, String articleId) throws SQLException;

}